/*
size = 6  // size should be <= 9

     1
    2.
   3..
  4...
 5....
6.....

1.....
 2....
  3...
   4..
    5.
     6

*/

public class Pattern3
{
   public static void main(String[] args)
   {
      pattern3a(6);
      System.out.println();
      pattern3b(6);
      System.out.println();
      pattern3c(6);
   }

   public static void pattern3a(int size)
   {
      for (int i = 1; i <= size; i++) // i is the "line number"
      {
         for (int j = 1; j <= size - i; j++)
         {
            System.out.print(" ");
         }
         System.out.print(i);
         for (int j = 1; j <= i - 1; j++)
         {
            System.out.print(".");
         }
         System.out.println();
      }
   }


   public static void pattern3b(int size)
   {
      for (int i = 1; i <= size; i++) // i is the "line number"
      {
         for (int j = 1; j <= i - 1; j++)
         {
            System.out.print(" ");
         }
         System.out.print(i);
         for (int j = 1; j <= size - i; j++)
         {
            System.out.print(".");
         }
         System.out.println();
      }
   }


   public static void pattern3c(int size)
   {
      for (int i = size; i >= 1; i--) // i-1 is how many .'s
      {
         for (int j = 1; j <= size - i; j++)
         {
            System.out.print(" ");
         }
         System.out.print(size + 1 - i);
         for (int j = 1; j <= i - 1; j++)
         {
            System.out.print(".");
         }
         System.out.println();
      }
   }

}
